import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { ContractFactory } from '../../../contract/contracts';
import { Network } from '../../../types/network.interface';
declare type ContractOpts = {
    address: string;
    network: Network;
};
export declare class UnstoppableContractFactory extends ContractFactory {
    protected readonly appToolkit: IAppToolkit;
    constructor(appToolkit: IAppToolkit);
    unstoppableGlpVault({ address, network }: ContractOpts): import("./ethers").UnstoppableGlpVault;
}
export type { UnstoppableGlpVault } from './ethers';
